<?php

//////////////////////////////////////////////
//            www.p30light.ir               //
//////////////////////////////////////////////

$_error = array();

$_error['connection_fail'] = 'A connection to the host couldn\'t be established, check your configurations.';
$_error['not_connected_yet'] = '<b>Fatal Error: </b>The function you are trying to call requires an active database connection.';
$_error['already_connected'] = '<b>Fatal Error: </b>Already connected.';
$_error['invalid_input'] = 'Invalid input for function call. (See debug information)';

class Errors {

    public static function stack($start = 0) {
        $dbg = debug_backtrace();
        $start++;
        $r = ($start <= 1 ? '' : '<b>Occured in <font color="blue">' . $dbg[$start - 1]['file'] . '</font> Line <font color="red">' . $dbg[$start - 1]['line'] . '</font></b><br/>');
        $r .= 'Call Stack:<table style="border:1px solid gray;">';
        for ($i = $start; $i < count($dbg); $i++) {
            $d = $dbg[$i];
            $r .= "<tr><td>" . ($i - $start + 1) . "</td><td style=\"background:orange;padding:5px;\">" . (!isset($d['class']) ? '' : "{$d['class']}.") . "{$d['function']} (...)</td><td>Called in <b>{$d['file']}</b></td><td>Line {$d['line']}</td></tr>";
        }
        $r .= '</table>';
        return $r;
    }

}

?>