<?php
//////////////////////////////////////////////
//           www.p30light.ir                //
//////////////////////////////////////////////

require_once 'includes/server.php';
//Check Login
global $db, $loginInfo, $loggedIn;
$loggedIn = quickLoginCheck(NULL, $db->user);
if ($loggedIn)
    $loginInfo = Login::getLoginInfo($db->user);


//STATICS
//HEADER MENU
$menu = array();
if ($loggedIn) {
    $menu[] = array('داشبورد', 'index.php');
    $menu[] = array('تنظیمات', 'Settings');
    $menu[] = array('قوانین', 'TOS');
    $menu[] = array('پشتیبانی', 'Support');
    $menu[] = array('خروج', 'LogOut');
} else {
    $menu[] = array('خانه', 'index.php');
    $menu[] = array('قوانین', 'TOS');
    $menu[] = array('ثبت نام', 'Register');
    $menu[] = array('ورود', 'Login');
    $menu[] = array('پشتیبانی', 'Support');
}

//FOOTER LINKS
$footer_links = array();
$footer_links[] = array('خانه', 'index.php');
$footer_links[] = array('قوانین استفاده کننده', 'TOS');
$footer_links[] = array('درباره ما', 'Support');
$footer_links[] = array('تماس با ما', 'Support');

//content
function getModule($s) {
    switch ($s) {
        case 'main':
        case 'tos':
        case 'register':
        case 'settings':
        case 'about':
        case 'login':
        case 'logout':
        case 'forgetpassword':
        case 'msg':
            return "modules/$s.php";
    }
    return '';
}

if (isset($_GET['module'])) {
    $module = getModule($_GET['module']);
} else
    $module = 'modules/main.php';
if ($module == '') {
    header('404 Not Found', true, 404);
    die('<h1>404 Not Found</h1>');
}
ob_start();
?>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
        <link rel="stylesheet" type="text/css" href="style/main.css" />
        <title><?php echo site_title; ?></title>
    </head>
    <body>
        <script language="javascript" src="script.js"></script>
        <div class="master"><!--master-->
            <div class="banner">
                <div class="logo">
                   <?php
                    if ($loggedIn)
                        include 'modules/extra_panel.php';
                    ?>
                    <div class="menu">
                        <ul>
                            <?php
                            for ($i = 0; $i < count($menu); $i++) {
                                $class = '';
                                if ($i == 0)
                                    $class = 'first';
                                else if ($i == count($menu) - 1)
                                    $class = 'last';
                                if (strpos($_SERVER['REQUEST_URI'], $menu[$i][1]) !== false)
                                    $class.=($class == '' ? '' : ' ') . 'selected';
                                if ($class == '')
                                    echo '<li>';
                                else
                                    echo '<li class="' . $class . '">';
                                echo '<a href="' . $menu[$i][1] . '">' . $menu[$i][0] . '</a>';
                                echo '</li>';
                            }
                            ?>
                        </ul>
 
                    </div>
                </div>
            </div>
            
 
                    <!--main content-begin-->
                    <?php
                    require $module;
                    ob_end_flush();
                    ?>
                    <!--main content-end-->
            

            <div class="footer">
                <?php
                $first = true;
                foreach ($footer_links as $temp) {
                    if ($first)
                        $first = false;
                    else
                        echo ' | ';
                    echo '<a href="' . $temp[1] . '">' . $temp[0] . '</a>';
                }
                echo '<br />';
                echo '<br />';
                echo 'تمامی حقوق برای <a href="/" > popup.yekbux.com </a> محفوظ است. ' . '<br /><br />' . 'طراحی شده توسط <a href="ymsgr:sendim?saeed.ashiyane" > پی سی لایت </a>' ;
                ?>
            </div>
        </div><!--master-->
    </body>
</html>
<!--script src="adsystem/adsystem.php?u=1"></script-->
 