<?php

//////////////////////////////////////////////
//            www.p30light.ir               //
//////////////////////////////////////////////

require_once "obj.class.php";
require_once "image.php";

class user extends db_obj {

    protected function getTableName() {
        return 'user';
    }

    public function selectByEmail($email) {
        return $this->selectByField('email', $email);
    }

    public function getLoginID(&$un, $hashed_pw, $email_also = false) {
        //Note: This function is SQL safe
        $un = strtolower(mysql_real_escape_string($un));
        $hashed_pw = mysql_real_escape_string($hashed_pw);
        $sql = $this->select("where (LOWER(CONVERT(BINARY(`username`) USING utf8))='$un'" . ($email_also ? " or `email`='$un'" : '') . ") and `password`='$hashed_pw'");
        $active = true;
        if (mysql_num_rows($sql) == 1 && array_key_exists('active', mysql_fetch_array($sql)))
            $active = @mysql_result($sql, 0, 'active');
        if (mysql_num_rows($sql) == 1 && $active) {
            $un = mysql_result($sql, 0, 'username');
            return mysql_result($sql, 0, 'id');
        } else
            return -1;
    }

    function isLoginValid($un, $hashed_pw) {
        return $this->getLoginID($un, $hashed_pw) > 0;
    }

    public function userExists($username) {
        //Note: This function is SQL safe
        $username = mysql_real_escape_string(strtolower($username));
        $sql = $this->select("where (LOWER(CONVERT(BINARY(`username`) USING utf8))) = '$username'");
        return mysql_num_rows($sql) > 0;
    }

    public function emailExists($email) {
        //Note: This function is SQL safe
        $email = mysql_real_escape_string(strtolower($email));
        $sql = $this->select("where LOWER(CONVERT(BINARY(`email`) USING utf8)) = '$email'");
        return mysql_num_rows($sql) > 0;
    }

    public function objectActivationID() {
        //this function must be overridden by activation-requiring user-based tables and
        //be given unique numeric values.
        return 0;
    }

    public function sendActivationEmail($id, $subscribe = false) {
        //Note: This function is SQL safe
        require_once 'account_servant.php';
        global $mailsender;
        $id = mysql_real_escape_string($id);
        $sql = $this->selectByID($id);
        if (mysql_num_rows($sql) == 0)
            die('Invalid id sent to sendActivationEmail');
        $data = $this->db->get_as_array($sql);

        $link = 'http://' . address . '/account_servant.php?activate=' . $this->objectActivationID() . '&id=' . $data[0]['id'] . ($subscribe ? '&subscribe=1' : '') . '&ts=' . base64_encode(date('U')) . '&validation=' . getValidation($data[0]['id'], date('U'), $data[0]['email'], $data[0]['username']);
        $body = 'با سلام<br />از اين که در ' . persian_name . ' حساب باز کرديد سپاسگزاريم. عضويت شما هنوز فعال نيست، براي فعال کردن آن بايد به لينکي که در ادامه ي متن آمده است رجوع کنيد.<br /><br />براي فعال سازي حساب کاربري <a href="' . escape_html($link) . '" target="_blank">اينجا را کليک کنيد</a>.<br />' . escape_html($link) . '<br /><br />موفق و پيروز باشيد<br />' . persian_name . '';
        $mailsender->sendMailGenerate($data[0]['email'], 'فعال سازی حساب کاربری', $body, email_noreply);
    }

    public function sendActivatedEmail($id) {
        //Note: This function is SQL safe
        require_once 'account_servant.php';
        global $mailsender;
        $id = mysql_real_escape_string($id);
        $sql = $this->selectByID($id);
        if (mysql_num_rows($sql) == 0)
            die('Invalid id sent to sendActivatedEmail');
        $data = $this->db->get_as_array($sql);
        $data = $data[0];
        $link = 'http://' . address;
        $body = '<b>' . $data['username'] . '</b> عزیز!<br />با سلام و خسته نباشید<br />از عضویت در سایت ' . persian_name . ' صمیمانه سپاسگزاریم! حساب کاربری شما در سایت فعال شد. شما از هم اکنون می توانید فعالیت خود را آغاز کنید!<br />صفحه اصلی - <a href="' . $link . '">' . $link . '</a>';
        $mailsender->sendMailGenerate($data['email'], 'خوش آمدید!', $body, email_noreply);
    }

    public function getFullName($rec) {
        //input: record that contains fields firstname and lastname
        return escape_html($rec['firstname'] . ' ' );
    }

}

class admin extends user {

    protected function getTableName() {
        return 'admin';
    }

    public function getLoginID(&$un, $hashed_pw, $email_also = false) {
        //Note: This function is SQL safe
        $un = strtolower(mysql_real_escape_string($un));
        $hashed_pw = mysql_real_escape_string($hashed_pw);
        $sql = $this->select("where LOWER(CONVERT(BINARY(`username`) USING utf8))='$un' and `password`='$hashed_pw'");
        $active = true;
        if (mysql_num_rows($sql) == 1 && array_key_exists('active', mysql_fetch_array($sql)))
            $active = @mysql_result($sql, 0, 'active');
        return (mysql_num_rows($sql) == 1 && $active) ? mysql_result($sql, 0, 'id') : -1;
    }

}

?>